dbar(1)

NAME
dbar - ASCII progresbar

SYNOPSIS
  echo <percentage> | dbar [options] <indicator text>

DESCRIPTION
dbar lets you define static 0% and 100% marks or you can define these marks dynamically at runtime. Static and dynamic marks can be mixed, in this case the value specified at runtime will have a higher priority.

You can specify ranges of numbers, negative, positive or ranges with a negative min value and positive max value.

All numbers are treated as double precision floating point, i.e. the input is NOT limited to integers.

OPTIONS

-l  Label to be prepended to the bar (default: "" ).

-nonl
    no new line, don't put '\n' at the end of the bar (default: do print "\n")

-max
    Value to be considered 100% (default: 100).

-min
    Value to be considered 0% (default: 0).

-s  Symbol represeting the percentage value in the meter (default: "=").

-w  Number of charcaters to be considered 100% in the meter (default: 25)

EXAMPLES
Static 100% mark or single value input:

    echo 25 | dbar -max 100 -l text

    Output: text  25% [======                   ]

If your 100% mark changes dynamically or 2-values input:

    echo "50 150" | dbar
          |   |
          |   |__ max value
          |
          |__ value to display

    Output: 33% [========                 ]

If your value range is not between [0, maxval] or 3-values input:

    echo "50 -25 150" | dbar
          |   |  |
          |   |  |__ max value 100% mark
          |   |
          |   |_____ min value 0% mark
          |
          |________ value to display

    Output: 43% [===========              ]

Multiple runs:

    for i in 2 20 50 75 80; do echo $i; sleep 1; done | dbar | dzen2

    Output: Find out yourself.

ENVIRONMENT
None.

FILES
None.

SEE ALSO
dzen2(1)

AUTHORS
Program was written by Robert Manea <rob.manea@gmail.com>.

This manual page was written by Jari Aalto <jari.aalto@cante.net> for the Debian GNU system (but may be used by others). Released under license GNU GPL version 2 or (at your option) any later version. For more information about license, visit <http://www.gnu.org/copyleft/gpl.html>.